#!/bin/sh

echo "$0: Reading projects..."
LIST=`find -maxdepth 1 -type d -name "??*" | sort --unique`
SVN_DIRS="branches tags trunk"

for repos in $LIST; do
	for svn_dir in $SVN_DIRS; do
		if test -e "$repos/$svn_dir/todo-builder.sh"; then
			echo "$0: Updating TODOs.txt in $repos/$svn_dir"
			cd "$repos/$svn_dir/"
			sh ./todo-builder.sh
			svn add docs/TODOs.txt >/dev/null 2>&1
			cd - >/dev/null
		fi
	done
done
